// (c) MIT 2003.  All rights reserved.

package rec.fun;

import java.util.*;
import java.awt.*;
import rec.util.*;
import rec.geo.*;
import rec.sys.*;

public class TextBoxTestRecognizer extends Recognizer
{


  public TextBoxTestRecognizer()
  {
  }

  /////////////////////////////////////////////////////////////////////////////

  public boolean recognize( Surface s, Widget w )
  {
    TextBox q = new TextBox( s, (Squiggle)w );

    s.replaceWidget( w, q );

    return true;
  }

  public Iterator getInputTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.sys.Squiggle" );

    return( v.iterator() );
  }

  public Iterator getOutputTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.fun.TextBox" );

    return( v.iterator() );
  }
}

////////////////////////////////////////////////////////////////////////////////
